unit About;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TAboutForm = class(TForm)
    AboutText: TMemo;
    AboutExit: TButton;
    procedure AboutExitClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure AboutTextEnter(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutForm: TAboutForm;

implementation

{$R *.dfm}

procedure TAboutForm.AboutExitClick(Sender: TObject);
begin
  AboutForm.Close;
end;

procedure TAboutForm.FormShow(Sender: TObject);
begin
  Application.MainForm.Enabled := False;
end;

procedure TAboutForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Application.MainForm.Enabled := True;
end;

procedure TAboutForm.AboutTextEnter(Sender: TObject);
begin
  AboutExit.SetFocus;
end;

end.
